on s390x one should alway be able to manipulate z devices

Bug #1730647 reported by Dimitri John Ledkov on 2017-11-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Undecided
Unassigned
ubuntu-meta (Ubuntu)
Status tracked in Bionic
Xenial
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]

 * Currently s390-tools is not installed as part of the server seed, which leads to inconsistencies between manually installed systems with d-i and systems originating from cloud images - containers, cloud images, maas. d-i installs s390-tools, whilst the rest do not. However, s390-tools ship tooling to inspect, list, operate on z specific devices and should always be available across all of ubuntu, including containers, maas, etc. Hence seeding it to server seed.

[Test Case]

 * s390x containers have s390-tools package installed
 * s390x cloud images have s390-tools package installed
 * s390x maas images have s390-tools package installed

[Regression Potential]

 * This is calling ubuntu-meta update script only
 * The only other changes are those that have been introduced in other srus.
 * s390-tools is in main

Changed in ubuntu-meta (Ubuntu Xenial):
status: New → Confirmed
Changed in ubuntu-meta (Ubuntu Zesty):
status: New → Confirmed
Changed in ubuntu-meta (Ubuntu Artful):
status: New → Confirmed
Changed in ubuntu-meta (Ubuntu Bionic):
status: New → Confirmed
status: Confirmed → Fix Committed
Changed in ubuntu-meta (Ubuntu Artful):
status: Confirmed → In Progress
Changed in ubuntu-meta (Ubuntu Zesty):
status: Confirmed → In Progress
Changed in ubuntu-meta (Ubuntu Xenial):
status: Confirmed → In Progress

Hello Dimitri, or anyone else affected,

Accepted ubuntu-meta into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.361.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-meta (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Changed in ubuntu-meta (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed-zesty
Adam Conrad (adconrad) wrote :

Hello Dimitri, or anyone else affected,

Accepted ubuntu-meta into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.379.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-meta (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed-artful
Adam Conrad (adconrad) wrote :

Hello Dimitri, or anyone else affected,

Accepted ubuntu-meta into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.404.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) on 2017-11-08
Changed in ubuntu-meta (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: New → Fix Committed
tags: added: s390x
Dimitri John Ledkov (xnox) wrote :

Triggered builds of cloud images with proposed enabled:
artful
https://launchpad.net/~cloudware/+livefs/ubuntu/artful/cpc/+build/114279
zesty
https://launchpad.net/~cloudware/+livefs/ubuntu/zesty/cpc/+build/114278
xenial
https://launchpad.net/~cloudware/+livefs/ubuntu/xenial/cpc/+build/114277

In all cases s390-tools is now installed as part of the ubuntu-server package installation.

tags: added: verification-done verification-done-artful verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-artful verification-needed-xenial verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.404.1

---------------
ubuntu-meta (1.404.1) artful; urgency=medium

  * Refreshed dependencies
  * Added gir1.2-gmenu-3.0 to desktop-recommends LP: #1726093
  * Added s390-tools to server [s390x] LP: #1730647

 -- Dimitri John Ledkov <email address hidden> Tue, 07 Nov 2017 11:11:54 +0000

Changed in ubuntu-meta (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-meta has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.379.1

---------------
ubuntu-meta (1.379.1) zesty; urgency=medium

  * Refreshed dependencies
  * Added s390-tools to server [s390x] LP: #1730647

 -- Dimitri John Ledkov <email address hidden> Tue, 07 Nov 2017 11:25:35 +0000

Changed in ubuntu-meta (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.361.1

---------------
ubuntu-meta (1.361.1) xenial; urgency=medium

  * Refreshed dependencies
  * Added s390-tools to server [s390x] LP: #1730647

 -- Dimitri John Ledkov <email address hidden> Tue, 07 Nov 2017 11:30:35 +0000

Changed in ubuntu-meta (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers